Bug 18222 - Fix tests broken by Bug 18026
Summary: Fix tests broken by Bug 18026
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18026
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-07 11:25 UTC by Olli-Antti Kivilahti
Modified: 2017-03-27 14:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18222 - Fix tests broken by Buug 18026 (1.49 KB, patch)
2017-03-07 11:28 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 18222 - Fix tests broken by Buug 18026 (1.59 KB, patch)
2017-03-07 12:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18222 - Fix tests broken by Buug 18026 (1.62 KB, patch)
2017-03-07 13:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-07 11:25:21 UTC
root@koha_ci_1:/home/koha/Koha# KOHA_CONF=$KOHA_CONF perl t/Koha_Template_Plugin_Koha.t
1..3
ok 1 - use Koha::Template::Plugin::Koha;
ok 2
# Subtest: Koha::Template::Plugin::Koha::Version tests
    1..2
    not ok 1 - Correct development version
    #   Failed test 'Correct development version'
    #   at t/Koha_Template_Plugin_Koha.t line 54.
    #     Structures begin differing at:
    #          $got->{minor} = '24'
    #     $expected->{minor} = Does not exist
    not ok 2 - Correct maintenance version
    #   Failed test 'Correct maintenance version'
    #   at t/Koha_Template_Plugin_Koha.t line 69.
    #     Structures begin differing at:
    #          $got->{minor} = '07'
    #     $expected->{minor} = Does not exist
    # Looks like you failed 2 tests of 2.
not ok 3 - Koha::Template::Plugin::Koha::Version tests
#   Failed test 'Koha::Template::Plugin::Koha::Version tests'
#   at t/Koha_Template_Plugin_Koha.t line 76.
# Looks like you failed 1 test of 3.
Comment 1 Olli-Antti Kivilahti 2017-03-07 11:28:32 UTC
Created attachment 60865 [details] [review]
Bug 18222 - Fix tests broken by Buug 18026

root@koha_ci_1:/home/koha/Koha# KOHA_CONF=$KOHA_CONF perl t/Koha_Template_Plugin_Koha.t
1..3
ok 1 - use Koha::Template::Plugin::Koha;
ok 2
    1..2
    ok 1 - Correct development version
    ok 2 - Correct maintenance version
ok 3 - Koha::Template::Plugin::Koha::Version tests
Comment 2 Marcel de Rooy 2017-03-07 12:40:22 UTC
Created attachment 60868 [details] [review]
Bug 18222 - Fix tests broken by Buug 18026

root@koha_ci_1:/home/koha/Koha# KOHA_CONF=$KOHA_CONF perl t/Koha_Template_Plugin_Koha.t
1..3
ok 1 - use Koha::Template::Plugin::Koha;
ok 2
    1..2
    ok 1 - Correct development version
    ok 2 - Correct maintenance version
ok 3 - Koha::Template::Plugin::Koha::Version tests

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2017-03-07 12:41:40 UTC
Combining SO and QA here
Passed QA
Comment 4 Jonathan Druart 2017-03-07 13:27:17 UTC
Created attachment 60869 [details] [review]
Bug 18222 - Fix tests broken by Buug 18026

root@koha_ci_1:/home/koha/Koha# KOHA_CONF=$KOHA_CONF perl t/Koha_Template_Plugin_Koha.t
1..3
ok 1 - use Koha::Template::Plugin::Koha;
ok 2
    1..2
    ok 1 - Correct development version
    ok 2 - Correct maintenance version
ok 3 - Koha::Template::Plugin::Koha::Version tests

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-03-07 13:27:45 UTC
(In reply to Marcel de Rooy from comment #3)
> Combining SO and QA here
> Passed QA

Did not see it, I was going to do the same :)
Comment 6 Katrin Fischer 2017-03-26 19:46:26 UTC
This appears to have been pushed to master already?
Comment 7 Katrin Fischer 2017-03-26 19:50:18 UTC
perl t/Koha_Template_Plugin_Koha.t passes on 16.11.x - so I think this is not needed there. Also pushed to master - switching status.
Comment 8 Jonathan Druart 2017-03-27 14:38:09 UTC
No, it's not pushed yet.
Comment 9 Jonathan Druart 2017-03-27 14:39:05 UTC
Yes it is!!